ClearFoundation

Project/Bug Tracker


Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000011 [Netfilter (Kernel)] Source Code minor always 2010-09-09 12:38 2013-10-08 13:00
Reporter htejeda View Status public  
Assigned To dsokoloski
Priority normal Resolution fixed  
Status resolved   Product Version 2.22
Summary 0000011: [PATCH] Support for Linux Kernel 2.6.35+
Description New API changes were introduced in the Kernel release 2.6.35 and some
(Specifically to xt_match struct found in linux/netfilter/x_tables.h),
affected L7-Filter:

Commit: 62fc8051
"netfilter: xtables: deconstify struct xt_action_param for matches."

- bool (*match)(const struct sk_buff *skb,
- const struct xt_match_param *);
+ bool (*match)(const struct sk_buff *skb,
+ struct xt_action_param *);

Commit: b0f38452
"netfilter: xtables: change xt_match.checkentry return type"

-bool (*checkentry)(const struct xt_mtchk_param *);
+int (*checkentry)(const struct xt_mtchk_param *);

*** Return type changed from bool to int. Now we need to return 0 (true)
and -EINVAL (false).

Attached you will find two compressed patch files:
 - l7filter-2.6.35+.changes.patch: Which only contains the new updates to
Layer7-v2.22.
 - l7filter-2.6.35+.complete.patch: Layer7-v2.22 full source with
updates included.

I've tested it on x86 and x86_64.

Best regards,

Huáscar
Additional Information
Tags No tags attached.
Attached Files bz2 file icon l7filter-2.6.35+-support.tar.bz2 [^] (16,999 bytes) 2010-09-09 12:38

- Relationships

-  Notes
(0000010)
dsokoloski (administrator)
2013-10-08 13:00

Applied patch for kernel 2.6.35+ by Huascar Tejeda.

- Issue History
Date Modified Username Field Change
2010-09-09 12:38 htejeda New Issue
2010-09-09 12:38 htejeda File Added: l7filter-2.6.35+-support.tar.bz2
2011-08-02 16:46 dsokoloski Status new => assigned
2011-08-02 16:46 dsokoloski Assigned To => dsokoloski
2011-11-03 16:52 dsokoloski Status assigned => acknowledged
2013-10-08 13:00 dsokoloski Note Added: 0000010
2013-10-08 13:00 dsokoloski Status acknowledged => resolved
2013-10-08 13:00 dsokoloski Resolution open => fixed
2013-10-08 13:00 dsokoloski Fixed in Version => 2.23